local rt = RoosterTools

RoosterToolsChat = {}

function RoosterToolsChat.SlashProcessor(cmd)
    if (cmd == "show") then
        RoosterToolsHolderFrame:Show()
    elseif (cmd == "hide") then
        RoosterToolsHolderFrame:Hide()
    elseif (cmd == "clearGroups") then
        RoosterToolsDB.groups = {}
        logDebug("Groups cleared!")
    elseif (cmd == "sync") then
        RoosterToolsComm:Send(RoosterToolsComm.TYPES.GUILD_SYNC_REQ, {}, RoosterToolsComm.METHOD.GUILD)
    elseif (cmd == "syncClear") then
        RoosterToolsDB.sync = {}
        logDebug("Syncs cleared!")
    else
        logDebug(cmd)
    end
end

function RoosterToolsChat:OnInitialize() 
    rt:RegisterChatCommand("rooster", RoosterToolsChat.SlashProcessor)
end
